package com.facishare.connector;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.ApplicationContext;
import org.springframework.web.context.support.WebApplicationContextUtils;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;

@SpringBootApplication(exclude= DataSourceAutoConfiguration.class)
public class FsApplication extends SpringBootServletInitializer {
    // Spring应用上下文环境
    private static ApplicationContext applicationContext;

    public static ApplicationContext getApplicationContext() {
        return applicationContext;
    }

    public static void main(String[] args) {
        applicationContext = SpringApplication.run(FsApplication.class, args);
        System.out.println("-----------------------------------------");
        System.out.println("-------fs-erpdss-custom-template service start successfully!-------");
        System.out.println("-----------------------------------------");
    }

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
        return application.sources(FsApplication.class);
    }

    @Override
    public void onStartup(ServletContext servletContext) throws ServletException {
        super.onStartup(servletContext);
        applicationContext = WebApplicationContextUtils.getRequiredWebApplicationContext(servletContext);
    }

}
