package com.facishare.connector.auths;

import com.facishare.connector.model.result.Result;
import com.facishare.connector.utils.JackJsonUtil;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.authentication.SimpleUrlAuthenticationFailureHandler;
import org.springframework.stereotype.Service;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@Service("authenticationFailHandler")
public class AuthenticationFailHandler extends SimpleUrlAuthenticationFailureHandler {

    @Override
    public void onAuthenticationFailure(HttpServletRequest request, HttpServletResponse response, AuthenticationException exception)throws IOException, ServletException {
        this.returnJson(response,exception);

    }

    private void returnJson(HttpServletResponse response,
                            AuthenticationException exception)throws IOException {
        response.setStatus(HttpServletResponse.SC_UNAUTHORIZED);
        response.setCharacterEncoding("UTF-8");
        response.setContentType("application/json");
        Result result=Result.newError(401,exception.getMessage());
        response.getWriter().println(JackJsonUtil.obj2String(result));
    }

}
