package com.facishare.connector.controller;

import com.facishare.connector.constant.ResultEnum;
import com.facishare.connector.model.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.ResponseStatus;

@Slf4j
@Controller
public class IndexContrller {

    @GetMapping("/reLogin")
    @ResponseBody
    @ResponseStatus(code = HttpStatus.UNAUTHORIZED)
    public Result sessionInvalid(){
        String message = "session失效";
        return Result.newError(ResultEnum.SYSTEM_ERROR.getErrorCode(),message);
    }


    @RequestMapping("/test")
    @ResponseBody
    public String test() {
        return "success";
    }
}
