package com.facishare.connector.model.arg;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Collections;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

@Data
@AllArgsConstructor
@EqualsAndHashCode
@NoArgsConstructor
public class SyncData implements Serializable {

    private static final long serialVersionUID = 1660114757798847763L;
    private String objAPIName;

    private Map<String,Object> masterFieldVal;

    private Map<String,List<Map<String,Object>>> detailFieldVals= Collections.emptyMap();


    public static SyncData buildRequestArg(){
        SyncData syncData =new SyncData();
        syncData.setMasterFieldVal(new LinkedHashMap<String,Object>());
        syncData.setDetailFieldVals(new LinkedHashMap());
        return syncData;
    }


}
