package com.facishare.connector.utils;


import com.facishare.connector.exception.CommonBaseException;
import lombok.extern.slf4j.Slf4j;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

@Slf4j
public class DateUtil {
    private static ThreadLocal<DateFormat> sdfThreadLocal = new ThreadLocal<DateFormat>() {
        @Override
        public SimpleDateFormat initialValue() {
            return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        }
    };
    private static ThreadLocal<DateFormat> sdfThreadLocal2 = new ThreadLocal<DateFormat>() {
        @Override
        public SimpleDateFormat initialValue() {
            return new SimpleDateFormat("yyyy-MM-dd");
        }
    };

    public static String formatDateTime(Date date){
        return sdfThreadLocal.get().format(date);
    }
;

    public static String formatDate(Date date){
        return sdfThreadLocal2.get().format(date);
    }

    public static Date parseDateTime(String strDate){

        try {
            return sdfThreadLocal.get().parse(strDate);
        } catch (ParseException e) {
            log.info("data:{}",strDate,e);
            throw CommonBaseException.errorException("格式化异常");
        }
    }

    public static Date parse(String strDate){
        try {
            return sdfThreadLocal2.get().parse(strDate);
        } catch (ParseException e) {
            log.info("data:{}",strDate,e);
            throw CommonBaseException.errorException("格式化异常");
        }
    }


}
