
public  String getCookies(String url,Map<String,String>params){

    // post参数
    StringBuilder postData = new StringBuilder();

    for (Map.Entry<String,String> param : params.entrySet()) {
        if (postData.length() != 0) {
            postData.append('&');
        }
        postData.append(URLEncoder.encode(param.getKey(), "UTF-8"));
        postData.append('=');
        postData.append(URLEncoder.encode(String.valueOf(param.getValue()), "UTF-8"));
    }

    byte[] postDataBytes = postData.toString().getBytes("UTF-8");

    //开始访问
    HttpURLConnection conn = (HttpURLConnection)(new URL(url)).openConnection();
    conn.setRequestMethod("POST");
    conn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
    conn.setRequestProperty("Content-Length", String.valueOf(postDataBytes.length));
    conn.setConnectTimeout(2000);
    conn.setReadTimeout(5000);
    conn.setDoOutput(true);
    conn.setDoInput(true);

    DataOutputStream dataout = new DataOutputStream(conn.getOutputStream());
    dataout.writeBytes(postData.toString());
    dataout.flush();
    dataout.close();

    BufferedReader reader = new BufferedReader(new InputStreamReader(conn.getInputStream(), "UTF-8"));

    StringBuilder sb = new StringBuilder();
    for (int c; (c = reader.read()) >= 0;) {
        sb.append((char)c);
    }
    reader.close();
    conn.disconnect();
    String responseStr = sb.toString();
    def jsonSlurper=new groovy.json.JsonSlurper();
    Map resultMap = jsonSlurper.parseText(responseStr);
    if ("200".equals(resultMap.get("errorCode"))){
        List<String> cookies = conn.getHeaderFields().get("Set-Cookie");
        if (cookies != null&&cookies.size()>0) {
            for (String str : cookies) {
                if (str.contains("JSESSIONID")){
                    return str;
                }
            }
        }
    }
    return null;
}

public Map getHeader(){
    Map<String,String>header=new HashMap<>();
    try{
        Map<String,String>params=new HashMap<>();
        params.put("username","admin");
        params.put("password","123456");
        def cookies = getCookies("http://localhost:8080/login",params);
        header.put("cookie",cookies);
    }catch(Exception e){
        return header;
    }
    return header;
}

return getHeader();
